import { BackendFeature, ExtensionPoint, ServiceRef, ServiceFactory } from '@backstage/backend-plugin-api';
/**
 * @public
 */
export interface Backend {
    add(feature: BackendFeature | Promise<{
        default: BackendFeature;
    }>): void;
    start(): Promise<void>;
    stop(): Promise<void>;
}
/**
 * @public
 */
export interface CreateSpecializedBackendOptions {
    defaultServiceFactories: ServiceFactory[];
}
/**
 * @public
 */
export type ServiceOrExtensionPoint<T = unknown> = ExtensionPoint<T> | ServiceRef<T>;
